#ifndef gf_included_Level_h
#define gf_included_Level_h

#include "WallTile.h"
#include "PlayTile.h"
#include "types.h"
//A level is just the initial setup of the board.  At the moment, level sizes are
//restricted to 10x10.  If I ever get time to expand the game, this will definitely
//change to dynamic variables.
struct aLevel
{
 bool Motion;  //If the current board is in the middle of a player action.
 WallTile Walls[10][10];  //The array of spots which have walls to guide them.
 int Size;   //The size of the level...obviously this gets set to 10 pretty quick.
 ColourType Active;  //The current active colour on the board.
 int NumMoves;
};

typedef struct aLevel Level;

PlayTile TestWalls(Level theLevel, PlayTile theTile);
//Since this area of my code only ever worries about the walls, that's all it checks
//for.  For a more detailed analysis on how the level gets set up, check out Map.  
//A Map is a Level of walls AND the list of playing tiles on the board.

#endif
