#ifndef gf_included_Picking_h
#define gf_included_Picking_h

//So what are all these fancy numbers, you might ask?
//Well, it's for when you wanna get some info in-game.
//You click on a tile and it'll give you some information
//based on what you picked.  Consequently, it's called Picking.

//Originally I was gonna use the GL Names list.  Unfortunately,
//my GL libraries seem to be broken.  So I just decided to color
//code everything instead.  So when you click on the screen, it
//briefly switches everything on the screen over to predefined
//values.  The Ps are the defined values for the Painter.
//The Cs are what the colours actually look like after the global
//lighting calculations.  Yes, I turned off the lighting, but
//that doesn't mean I could still escape it's effects.  Anyway,
//the listed Cs are the new values after lighting.

#define CPID 4
#define PPID 20
#define CCRYSTAL 8
#define PCRYSTAL 40
#define CEXIT 14
#define PEXIT 70
#define CGOLEM 26
#define PGOLEM 130
#define CFURY 32
#define PFURY 160
#define CFLAME 38
#define PFLAME 190
#define CSWITCH 42
#define PSWITCH 210
#define CTRAP 46
#define PTRAP 230
#define CARROW 48
#define PARROW 240
#define CBOX 50
#define PBOX 250

#endif
