#include<stdlib.h>
#include <stdio.h>

int FullScreen = false;
int Sound = true;

void SwitchFullScreen()
{
 FullScreen = !FullScreen;    
}

void SwitchSound()
{
 Sound = !Sound;    
}

bool isFullScreen()
{
 return FullScreen;    
}

bool isSoundOn()
{  
 return Sound;    
}

void LoadOptions()
{
 FILE* FConfig = fopen("game.cfg","r");

 if (!FConfig)
 {
  printf("Configuration not found.\r\n");
  exit(1);
 }

 char nextLine[6];
 fgets(nextLine,6,FConfig);
 sscanf(nextLine, "%d %d", &FullScreen, &Sound);
 fclose(FConfig);
}

void WriteConfig()
{
 FILE* FConfig = fopen("game.cfg","w");

 if (!FConfig)
 {
  printf("Configuration not found.\r\n");
  exit(1);
 }

 fprintf(FConfig, "%d %d", FullScreen, Sound);    
 fclose(FConfig); 
}
