#ifndef gf_included_player_h
#define gf_included_player_h

#include "types.h"

typedef struct solution Solution;

struct solution
{
  int LevelID;
  int NumMoves;
  Direction* MoveList;
  Solution* Next;
};

typedef struct
{
 Solution* Head;
 Solution* Current; 
 char Name[9];       
 int TotalMoves;
 int TotalComplete; 
} Player;

void SetupSaving();
bool SaveData(int pLevelID, int pNumMoves);
void SaveRecording();
void RecalculatePlayer();
void FreePlayer();
void GotoLevel(int pLevelID);
Direction GetNextPlayerMove();
void LoadPlayer();
void SavePlayer();


#endif
