#ifndef gf_included_types_h
#define gf_included_types_h

//These are all the different enum types as required by the Kouriku Engine.
//The painter has nothing to do with it.  If you see the Painter using constant
//values, they were defined in either Painter.h or Menu.h.

enum PointAt { PNONE, PNORTH, PEAST, PSOUTH, PWEST};
enum DirType { NORMAL, REVERSE, BLOCK };
enum ColourType { ISGREY, ISRED, ISYELLOW, SETRED, SETYELLOW };
enum AlignType { HERO, NEUTRAL, ENEMY };
enum Direction { STOPPED, NORTH, EAST, SOUTH, WEST, PUSH };
enum CollectType { NO, COLLECTWAIT, COLLECTMEWAIT, COLLECTOR, COLLECTABLE  };
enum StopType { BNONE, BNORTH, BEAST, BSOUTH, BWEST, BNORTHEAST, BNORTHSOUTH, BNORTHWEST, BEASTSOUTH,
                BEASTWEST, BSOUTHWEST, BNORTHEASTSOUTH, BEASTSOUTHWEST, BSOUTHWESTNORTH, BWESTNORTHEAST, BALL };

#endif
